## org.eclipse.datatools.modelbase.sql.xml.query
Interface XMLValueFunctionQuery

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, QueryValueExpression, SQLObject, SQLQueryObject, ValueExpression, ValueExpressionAtomic, ValueExpressionFunction, XMLValueFunction

    public interface XMLValueFunctionQuery

extends XMLValueFunction

A representation of the model object 'XML Value Function Query'. Generates an XML value as the result of evaluating a given XQuery expression. See ISO SQL/XML sec. 6.17.

The following features are supported:

- `Empty Handling Option`
- `Xquery Expr`
- `Xquery Arg List`
- `Query Returning`

See Also:
  `SQLXMLQueryModelPackage.getXMLValueFunctionQuery()`

Method Summary
`XMLEmptyHandlingType` `getEmptyHandlingOption()` Returns the value of the 'Empty Handling Option' attribute.
`XMLValueFunctionQueryReturning` `getQueryReturning()` Returns the value of the 'Query Returning' containment reference.
`XMLQueryArgumentList` `getXqueryArgList()` Returns the value of the 'Xquery Arg List' containment reference.
`XMLQueryExpression` `getXqueryExpr()` Returns the value of the 'Xquery Expr' containment reference.
`void` `setEmptyHandlingOption(XMLEmptyHandlingType value)` Sets the value of the '`Empty Handling Option`' attribute.
`void` `setQueryReturning(XMLValueFunctionQueryReturning value)` Sets the value of the '`Query Returning`' containment reference.
`void` `setXqueryArgList(XMLQueryArgumentList value)` Sets the value of the '`Xquery Arg List`' containment reference.
`void` `setXqueryExpr(XMLQueryExpression value)` Sets the value of the '`Xquery Expr`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.ValueExpressionFunction
`getFunction, getParameterList, isColumnFunction, isDistinct, isSpecialRegister, setColumnFunction, setDistinct, setFunction, setSpecialRegister`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QueryValueExpression

`getBasicLeft, getBasicRight, getBetweenLeft, getBetweenRight1, getBetweenRight2, getCallStatement, getDataType, getGroupingExpr, getInValueListLeft, getInValueListRight, getInValueRowSelectLeft, getInValueSelectLeft, getLikeEscape, getLikeMatching, getLikePattern, getNest, getOrderByValueExpr, getPredicateNull, getQuantifiedRowSelectLeft, getQuantifiedValueSelectLeft, getResultColumn, getTableFunction, getUnaryOperator, getUpdateSourceExprList, getValueExprCaseElse, getValueExprCaseSearchContent, getValueExprCaseSimple, getValueExprCaseSimpleContentResult, getValueExprCaseSimpleContentWhen, getValueExprCast, getValueExprCombinedLeft, getValueExprCombinedRight, getValueExprFunction, getValueExprLabeledDuration, getValueExprRow, getValuesRow, setBasicLeft, setBasicRight, setBetweenLeft, setBetweenRight1, setBetweenRight2, setCallStatement, setDataType, setGroupingExpr, setInValueListLeft, setInValueListRight, setInValueRowSelectLeft, setInValueSelectLeft, setLikeEscape, setLikeMatching, setLikePattern, setNest, setOrderByValueExpr, setPredicateNull, setQuantifiedRowSelectLeft, setQuantifiedValueSelectLeft, setResultColumn, setTableFunction, setUnaryOperator, setUpdateSourceExprList, setValueExprCaseElse, setValueExprCaseSearchContent, setValueExprCaseSimple, setValueExprCaseSimpleContentResult, setValueExprCaseSimpleContentWhen, setValueExprCast, setValueExprCombinedLeft, setValueExprCombinedRight, setValueExprFunction, setValueExprLabeledDuration, setValueExprRow, setValuesRow`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.ValueExpression
`getSQL, setSQL`

Method Detail

### getEmptyHandlingOption

    XMLEmptyHandlingType getEmptyHandlingOption()

  Returns the value of the 'Empty Handling Option' attribute. The literals are from the enumeration `XMLEmptyHandlingType`.

  If the meaning of the 'Empty Handling Option' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Empty Handling Option' attribute.
  See Also:
    `XMLEmptyHandlingType`, `setEmptyHandlingOption(XMLEmptyHandlingType)`, `SQLXMLQueryModelPackage.getXMLValueFunctionQuery_EmptyHandlingOption()`

### setEmptyHandlingOption

    void setEmptyHandlingOption(XMLEmptyHandlingType value)

  Sets the value of the '`Empty Handling Option`' attribute.

  Parameters:
    `value` - the new value of the 'Empty Handling Option' attribute.
  See Also:
    `XMLEmptyHandlingType`, `getEmptyHandlingOption()`

### getXqueryExpr

    XMLQueryExpression getXqueryExpr()

  Returns the value of the 'Xquery Expr' containment reference. It is bidirectional and its opposite is '`Value Function Query`'.

  If the meaning of the 'Xquery Expr' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Xquery Expr' containment reference.
  See Also:
    `setXqueryExpr(XMLQueryExpression)`, `SQLXMLQueryModelPackage.getXMLValueFunctionQuery_XqueryExpr()`, `XMLQueryExpression.getValueFunctionQuery()`

### setXqueryExpr

    void setXqueryExpr(XMLQueryExpression value)

  Sets the value of the '`Xquery Expr`' containment reference.

  Parameters:
    `value` - the new value of the 'Xquery Expr' containment reference.
  See Also:
    `getXqueryExpr()`

### getXqueryArgList

    XMLQueryArgumentList getXqueryArgList()

  Returns the value of the 'Xquery Arg List' containment reference. It is bidirectional and its opposite is '`Value Function Query`'.

  If the meaning of the 'Xquery Arg List' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Xquery Arg List' containment reference.
  See Also:
    `setXqueryArgList(XMLQueryArgumentList)`, `SQLXMLQueryModelPackage.getXMLValueFunctionQuery_XqueryArgList()`, `XMLQueryArgumentList.getValueFunctionQuery()`

### setXqueryArgList

    void setXqueryArgList(XMLQueryArgumentList value)

  Sets the value of the '`Xquery Arg List`' containment reference.

  Parameters:
    `value` - the new value of the 'Xquery Arg List' containment reference.
  See Also:
    `getXqueryArgList()`

### getQueryReturning

    XMLValueFunctionQueryReturning getQueryReturning()

  Returns the value of the 'Query Returning' containment reference. It is bidirectional and its opposite is '`Value Function Query`'.

  If the meaning of the 'Query Returning' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Query Returning' containment reference.
  See Also:
    `setQueryReturning(XMLValueFunctionQueryReturning)`, `SQLXMLQueryModelPackage.getXMLValueFunctionQuery_QueryReturning()`, `XMLValueFunctionQueryReturning.getValueFunctionQuery()`

### setQueryReturning

    void setQueryReturning(XMLValueFunctionQueryReturning value)

  Sets the value of the '`Query Returning`' containment reference.

  Parameters:
    `value` - the new value of the 'Query Returning' containment reference.
  See Also:
    `getQueryReturning()`